Index: /extensions/piclens/CHANGELOG
===================================================================
--- /extensions/piclens/CHANGELOG	(revision 3645)
+++ /extensions/piclens/CHANGELOG	(revision 3645)
@@ -0,0 +1,85 @@
+TODO for next versions : 
+- double select in administration page
+
+
+
+Version 0.4.x
+-------------
+0.4.0 --> Changement methode pour parametrer les noms et decriptions des images 
+		 Ajout integration piclens sur les tags 
+		 Ajout paramètre pour supprimer les doublons d'image dans le flux rss 
+		 Ajout traduction ES (merci ddtddt) + MAJ chinois (thanks Winson)
+ 		 affichage des derniers commentaires possibles dans la description des images 
+			+ patch pour éviter de charger les commentaires si non paramétrés
+		 Nettoyage code (entête et code)
+		 Migration depuis 0.3.x : Récupération et conversion des anciens paramètres noms et descriptions
+		 
+
+Version 0.3.x
+-------------		 
+0.3.6 --> Ajout parametres supplementaires du mur embeded  
+0.3.5 --> Ajout integration balises Extended Description dans le nom des categories 
+ 		Correction dans la traduction chinoise simplifiée 
+ 		Correction page admin : titre mur 3D non sauvegarde
+0.3.4 --> [MAJEUR] Correction de "l'emballement des hit images" lie a la selection des images depuis les categories speciales
+ 		Correction patch pour lien en https 
+ 		Ajout fonction sauvegarde et restauration des fichier de configuration (utile pour la migration) 
+ 		Ajout traduction chinoise (thanks Winson) 
+0.3.2 --> Correction "notice" (warning) sur variable piclens_wall_transparent
+0.3.3 --> Correction lien URL vers les images depuis piclens (arrivee directe sur la categorie)
+ 		Modification de l'affichage de la selection des extensions prises en compte
+ 		Page d'admin : intégration de jquery resizable pour redimensionner la selection des categories 
+ 		Sauvegarde des parametres en bases de données 
+ 		[MAJEUR] Correction de "l'emballement des hit images" sur l'accueil si modules "plus vues"... sont actives dans PWG_Stuff
+ 		Ajout patch pour lien en https 
+ 		Ajout parametre et utilisation du flash cooliris.swf en local (evite de copier crossdomain.xml). 
+0.3.1 --> Correction "notice" (warning) sur variable piclnkmaster
+		 Ajout paramètre pour le mode transparent (a prendre en compte dans PWG Stuff)
+0.3.0 --> Publication version finale
+0.3.0beta8 --> Activation piclens et mur sur pages speciales
+		  	Parametre de recursivite (standard et specifique)
+		  	Corrections et optimisation code
+0.3.0beta7 --> Correction requete sql sur categorie
+		  	Correction page admin (sauvegarde des parametres ordre et tri)
+0.3.0beta6 --> Ajout parametre de tri/ordre selon le flux genere : accueil ou categorie
+		  	Correction Lien entre tri et ordre si parametre = defaut PIWIGO 
+		  	Integration extended description (prise en compte hidden [categories et images] et description multilangue)
+		  	Quelques corrections dans le flux xml genere (W3C feed validation)
+0.3.0beta5 --> Correction ; manquant dans default_values (oups!)
+0.3.0beta4 --> support multi-langue  (FR et EN)
+		  	Optimisation requetes SQL 
+		  	regroupement fichiers de generation flux rss (piclens-rss et piclenswall-rss) dans le fichier generate_rss 
+		  	Ajout parametrage et remplacement de la navigation par le mur 3D et titre mur 3D
+0.3.0beta3 --> ajout affichage aleatoire et categorie dans le flux  
+		  	Modification template piclenswall : mode transparent 
+		  	Affichage des categories (parametrable) dans le titre de l'image sous piclens 
+		  	Modification et correction configuration du tri par defaut Piwigo ( order_by_inside_category) 
+		  	Ajout parametrage icones sur le mur 3D 
+		  	Quelques Corrections integration SecureImage 
+0.3.0beta2 --> correction requete SQL de selection des images 
+		  	correction notice sur le 'root_path' 
+0.3.0beta --> ajout parametrage pour mur 3D dont selection categories 
+
+
+
+Version 0.2.x
+-------------
+0.2.7 --> Correction ouverture fichier videos GY Video 
+0.2.6 --> Nettoyage et restructuration du code + modification page admin 
+		  paramétrage choix couleur fond sur mur 3D 
+		  paramétrage prise en compte fichiers video  
+0.2.5 --> désacrivation de 3DWall (si présence de  PWG Stuff) 
+		Nettoyage code + correction notice page admin
+		Ajout support video "vimeo" (plugin PY Gvideo)   
+		Ajout support video "flv" (plugin Charlies)   
+0.2.4 --> Ajout informations dans flux RSS (version...) et icone de la gallerie 
+		Paramétrage du nom et description à afficher sous l'image piclens   
+		Ajout 3DWall de cooliris   
+0.2.3 --> gestion des level (niveaux de confidentialité) sur les images  
+0.2.2 --> Bug sur les pages autres que "categories"  
+		bug caractere speciaux dans flux xml genere   
+0.2.1 --> bug generation flux RSS  
+		icone piclens lite ameliore   
+0.2.0 --> version for PIWIGO 2.0.0    
+
+
Index: /extensions/piclens/admin/config.php
===================================================================
--- /extensions/piclens/admin/config.php	(revision 3644)
+++ /extensions/piclens/admin/config.php	(revision 3645)
@@ -2,11 +2,7 @@
 /*
  * Plugin Name: CoolIris-Piclens
- * Version: 0.3.4
- * Description: Cooliris/Piclens activation
- * Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=234
- * Author: Tiico
- * Author URI: 
- * */
-/********* Fichier config.php  *********/
+ * File :  config.php  
+ */
+
 
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
@@ -97,6 +93,4 @@
 	));
 
-//$template->assign('ICON_INFO' , PICLENS_ADMIN_PATH . 'info.png');
- 
  
 $template->assign_var_from_handle( 'ADMIN_CONTENT', 'plugin_admin_content');
Index: /extensions/piclens/admin/functions.inc.php
===================================================================
--- /extensions/piclens/admin/functions.inc.php	(revision 3644)
+++ /extensions/piclens/admin/functions.inc.php	(revision 3645)
@@ -2,11 +2,7 @@
 /*
  * Plugin Name: CoolIris-Piclens
- * Version: 0.3.4
- * Description: Cooliris/Piclens activation
- * Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=234
- * Author: Tiico
- * Author URI: 
- * */
-/********* Fichier fonctions.inc.php  *********/
+ * File :  fonctions.php  
+ */
+
 
 
Index: /extensions/piclens/admin/piclens_admin.php
===================================================================
--- /extensions/piclens/admin/piclens_admin.php	(revision 3644)
+++ /extensions/piclens/admin/piclens_admin.php	(revision 3645)
@@ -2,11 +2,6 @@
 /*
  * Plugin Name: CoolIris-Piclens
- * Version: 0.3.4
- * Description: Cooliris/Piclens activation
- * Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=234
- * Author: Tiico
- * Author URI: 
- * */
-/********* Fichier piclens-admin.php  *********/
+ * File :  piclens-admin.php  
+ */
  
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
@@ -41,5 +36,5 @@
                $my_base_url.'&amp;tab=piclenswallconfig');
 $tabsheet->add('piclenswallconfig2',
-//               'Configugation PiclensWall',
+//               'Configugation PiclensWall2',
 				l10n('piclens_3dwallconfig2_tab'),
                $my_base_url.'&amp;tab=piclenswallconfig2');
Index: /extensions/piclens/admin/piclens_copy.php
===================================================================
--- /extensions/piclens/admin/piclens_copy.php	(revision 3644)
+++ /extensions/piclens/admin/piclens_copy.php	(revision 3645)
@@ -2,11 +2,6 @@
 /*
  * Plugin Name: CoolIris-Piclens
- * Version: 0.3.4
- * Description: Cooliris/Piclens activation
- * Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=234
- * Author: Tiico
- * Author URI: 
- * */
-/********* Fichier piclens-copy.php  *********/
+ * File :  piclens-copy.php  
+ */
 
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
Index: /extensions/piclens/admin/piclenswallconfig.php
===================================================================
--- /extensions/piclens/admin/piclenswallconfig.php	(revision 3644)
+++ /extensions/piclens/admin/piclenswallconfig.php	(revision 3645)
@@ -2,11 +2,6 @@
 /*
  * Plugin Name: CoolIris-Piclens
- * Version: 0.3.4
- * Description: Cooliris/Piclens activation
- * Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=234
- * Author: Tiico
- * Author URI: 
- * */
-/********* Fichier piclenswallconfig.php  *********/
+ * File :  piclenswallconfig.php  
+ */
 
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
Index: /extensions/piclens/admin/piclenswallconfig2.php
===================================================================
--- /extensions/piclens/admin/piclenswallconfig2.php	(revision 3644)
+++ /extensions/piclens/admin/piclenswallconfig2.php	(revision 3645)
@@ -2,11 +2,6 @@
 /*
  * Plugin Name: CoolIris-Piclens
- * Version: 0.3.4
- * Description: Cooliris/Piclens activation
- * Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=234
- * Author: Tiico
- * Author URI: 
- * */
-/********* Fichier piclenswallconfig2.php  *********/
+ * File :  piclenswallconfig2.php  
+ */
 /* Advanced configuration for embeded wall
 
Index: /extensions/piclens/admin/rssfeed.php
===================================================================
--- /extensions/piclens/admin/rssfeed.php	(revision 3644)
+++ /extensions/piclens/admin/rssfeed.php	(revision 3645)
@@ -2,11 +2,6 @@
 /*
  * Plugin Name: CoolIris-Piclens
- * Version: 0.3.4
- * Description: Cooliris/Piclens activation
- * Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=234
- * Author: Tiico
- * Author URI: 
- * */
-/********* Fichier rssfeed.php  *********/
+ * File :  rssfeed.php  
+ */
 
 
@@ -57,4 +52,5 @@
   $me->my_config['piclens_rss_desc'] = $_POST['piclens_rss_desc'];
   $me->my_config['piclens_exclude_double'] = isset($_POST['piclens_exclude_double']);
+  $me->my_config['piclens_maxcomment_nb'] = $_POST['piclens_maxcomment_nb'];
     
 
@@ -139,9 +135,12 @@
 }
 */
-$template->assign('PICLENS_VIDEO', $me->my_config['piclens_video'] ? 'checked="checked"' : '' );
-$template->assign('PICLENS_CAT_VIEW', $me->my_config['piclens_cat_view'] ? 'checked="checked"' : '' );
-$template->assign('PICLENS_RSS_NAME', $me->my_config['piclens_rss_name']);
-$template->assign('PICLENS_RSS_DESC', $me->my_config['piclens_rss_desc']);
-$template->assign('PICLENS_EXCLUDE_DOUBLE', $me->my_config['piclens_exclude_double'] ? 'checked="checked"' : '' );
+$template->assign(array(
+	'PICLENS_VIDEO'		=>  $me->my_config['piclens_video'] ? 'checked="checked"' : '',
+	'PICLENS_CAT_VIEW'	=> $me->my_config['piclens_cat_view'] ? 'checked="checked"' : '',
+	'PICLENS_RSS_NAME'	=> $me->my_config['piclens_rss_name'],
+	'PICLENS_RSS_DESC'	=>  $me->my_config['piclens_rss_desc'],
+	'PICLENS_EXCLUDE_DOUBLE'	=>  $me->my_config['piclens_exclude_double'] ? 'checked="checked"' : '',
+	'PICLENS_MAXCOMMENT_NB'		=> $me->my_config['piclens_maxcomment_nb'],
+	));
 
 
Index: /extensions/piclens/admin/rssfeed.tpl
===================================================================
--- /extensions/piclens/admin/rssfeed.tpl	(revision 3644)
+++ /extensions/piclens/admin/rssfeed.tpl	(revision 3645)
@@ -217,4 +217,9 @@
 		 <td> &nbsp; </td>
 	  </tr>
+	  <tr>
+		 <td> <b>%ID</b> : <input type="text" size="1" maxlength="1" value="{$PICLENS_MAXCOMMENT_NB}" name="piclens_maxcomment_nb" /> {'img_comment_legend'|@translate} </td>
+		 <td> &nbsp; </td>
+		 <td> &nbsp; </td>
+	  </tr>
 	</table> 
 
Index: /extensions/piclens/generate_rss.php
===================================================================
--- /extensions/piclens/generate_rss.php	(revision 3644)
+++ /extensions/piclens/generate_rss.php	(revision 3645)
@@ -2,11 +2,6 @@
 /*
  * Plugin Name: CoolIris-Piclens
- * Version: 0.3.4
- * Description: Cooliris/Piclens activation
- * Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=234
- * Author: Tiico
- * Author URI: 
- * */
-/********* Fichier generate_rss.php  *********/
+ * File :  generate_rss.php  
+ */
 
 $debug = false;
@@ -24,5 +19,5 @@
 
 // extensions video
-$py_addext = array("gvideo", "dm", "ytube", "wideo", "vimeo", "flv");
+$py_addext = array("gvideo", "dm", "ytube", "wideo", "vimeo");
 $video_ext_piclens = array("flv");
 
@@ -512,10 +507,10 @@
 		
             echo "<title><![CDATA["
-                  .parse($obj->my_config['piclens_rss_name'], $row, $plugins_ExtendedDesc)
+                  .parse($obj->my_config['piclens_rss_name'], $row, $plugins_ExtendedDesc, $obj->my_config['piclens_maxcomment_nb'])
                   ."]]></title>\n";
 
 
             echo '<media:description type="html"><![CDATA['
-                .parse($obj->my_config['piclens_rss_desc'], $row, $plugins_ExtendedDesc)
+                .parse($obj->my_config['piclens_rss_desc'], $row, $plugins_ExtendedDesc, $obj->my_config['piclens_maxcomment_nb'])
                 .']]> </media:description>';
                  
@@ -655,7 +650,12 @@
 }
 
-
-function parse($data, $row, $plugins_ExtendedDesc = false)
+// parse the configuration to complete with the correct informations
+function parse($data, $row, $plugins_ExtendedDesc = false, $nb_comment = 0)
 {
+
+	// Eviter de charger les commentaires (appels base) si ils ne sont pas affichés
+	if (strpos($data, '%ID') === false)
+		$nb_comment = 0;
+
 	include (PICLENS_PATH.'include/config_param.inc.php');
 
@@ -671,5 +671,42 @@
 }
 
-
+// Return the last comments of an image id
+function get_comment($img_id, $nb_comment = 0)
+{
+	$commentstring = '';
+
+	if ($nb_comment != 0)
+	{
+		$query = '
+		SELECT id,author,date,image_id,content
+		  FROM '.COMMENTS_TABLE.'
+		  WHERE image_id = '.$img_id.'
+			AND validated = \'true\'
+		  ORDER BY date ASC
+		  LIMIT 0,'.$nb_comment.'
+		;';
+		$result = pwg_query( $query );
+		$first = true;
+
+		while ($row = mysql_fetch_array($result))
+		{
+		
+		// Format : "Commentaire (Utilisateur - Date)"
+			$commentstring .= ($first ?  '' : " / \n")
+					.trigger_event('render_comment_content',$row['content'])
+					.' ('. trigger_event('render_comment_author',
+								empty($row['author'])
+								? l10n('guest')
+								: $row['author'])
+					.' - '
+					.format_date( $row['date'], false)
+					.")";
+					
+			$first = false;
+
+		}
+	}
+	return $commentstring;	
+}
 
 ?>
Index: /extensions/piclens/icons/index.php
===================================================================
--- /extensions/piclens/icons/index.php	(revision 3645)
+++ /extensions/piclens/icons/index.php	(revision 3645)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/piclens/include/Piclens.class.php
===================================================================
--- /extensions/piclens/include/Piclens.class.php	(revision 3644)
+++ /extensions/piclens/include/Piclens.class.php	(revision 3645)
@@ -2,11 +2,6 @@
 /*
  * Plugin Name: CoolIris-Piclens
- * Version: 0.3.4
- * Description: Cooliris/Piclens activation
- * Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=234
- * Author: Tiico
- * Author URI: 
- * */
-/********* Fichier piclens.class.php  *********/
+ * File :  piclens.class.php  
+ */
  
 
@@ -37,6 +32,4 @@
 		$template->append('head_elements',$jscript);			
 	  
-//foreach ($page  as $key => $value) 
-//echo "page[".$key."]=".$value."\n";
 
 		// Vérification d'activation du plugin (page administration)
Index: /extensions/piclens/include/config_extendeddesc.inc.php
===================================================================
--- /extensions/piclens/include/config_extendeddesc.inc.php	(revision 3644)
+++ /extensions/piclens/include/config_extendeddesc.inc.php	(revision 3645)
@@ -2,11 +2,6 @@
 /*
  * Plugin Name: CoolIris-Piclens
- * Version: 0.3.4
- * Description: Cooliris/Piclens activation
- * Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=234
- * Author: Tiico
- * Author URI: 
- * */
-/********* Fichier config_extendeddesc.incl.php  *********/
+ * File :  config_extendeddesc.inc.php  
+ */
 
 // balises utilisees par extended description
Index: /extensions/piclens/include/config_param.inc.php
===================================================================
--- /extensions/piclens/include/config_param.inc.php	(revision 3644)
+++ /extensions/piclens/include/config_param.inc.php	(revision 3645)
@@ -1,6 +1,11 @@
 <?php
+/*
+ * Plugin Name: CoolIris-Piclens
+ * File :  config_param.inc.php  
+ */
 // Fichier contenant les parametres du plugin (pour le parser)
 
 $piclens_parse = array(
+//		'%I0'	=> isset($row['id']) ? get_thumbnail_title($row)  : '',
 		'%I1'	=> isset($row['id']) ? $row['id'] : ''  ,
 		'%I2'	=> isset($row['name']) ?
@@ -52,4 +57,5 @@
 										  : '',								
 		'%IC'	=> isset($row['file']) ? $row['file'] : ''  ,
+		'%ID'	=> isset($row['id']) ? get_comment($row['id'], $nb_comment) : ''  ,
 
 		'%G1'	=> get_root_url(),
@@ -82,4 +88,5 @@
 	%IB : IMGHIGHFULL	Lien complet vers High
 	%IC : IMGFILE		nom_fichier
+	%IC : Commentaires
 
 %Gx Generaux
Index: /extensions/piclens/include/default_values.inc.php
===================================================================
--- /extensions/piclens/include/default_values.inc.php	(revision 3644)
+++ /extensions/piclens/include/default_values.inc.php	(revision 3645)
@@ -2,11 +2,6 @@
 /*
  * Plugin Name: CoolIris-Piclens
- * Version: 0.3.4
- * Description: Cooliris/Piclens activation
- * Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=234
- * Author: Tiico
- * Author URI: 
- * */
-/********* Fichier default_values.inc.php  *********/
+ * File :  default_values.inc.php  
+ */
 
 $piclens_default_values['piclens_active'] = false; /* Possibility to disactivate the function */
@@ -72,6 +67,6 @@
 $piclens_default_values['piclens_wall_showNavArrows']       = true;
 $piclens_default_values['piclens_wall_backgroundAlpha']     = "1.0";
-$piclens_default_values['piclens_wall_backgroundColor']		= "#FFFFFF";
-$piclens_default_values['piclens_wall_glowColor']			= "#FFFFFF";
+$piclens_default_values['piclens_wall_backgroundColor']		= ""; //"#FFFFFF";
+$piclens_default_values['piclens_wall_glowColor']			= ""; //"#FFFFFF";
 $piclens_default_values['piclens_wall_descriptionHeight']	= "20";
 $piclens_default_values['piclens_wall_tilt']	= "0";
@@ -89,3 +84,4 @@
 
 $piclens_default_values['piclens_exclude_double']	= false; // Suppression des doublons
+$piclens_default_values['piclens_maxcomment_nb']	= 1;	// derniers commentaires
 ?>
Index: /extensions/piclens/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/piclens/language/en_UK/plugin.lang.php	(revision 3644)
+++ /extensions/piclens/language/en_UK/plugin.lang.php	(revision 3645)
@@ -2,11 +2,8 @@
 /*
  * Plugin Name: CoolIris-Piclens
- * Version: 0.3.4
- * Description: Cooliris/Piclens activation
- * Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=234
- * Author: Tiico
- * Author URI: 
- * */
-/********* Fichier EN plugin.lang.php  *********/
+ * File :  plugin.lang.php
+* Lang : EN 
+ */
+
 // Piclenslite button
 $lang['piclens_button']	 				= 'View a slideshow';
@@ -197,4 +194,5 @@
 $lang['img_URLHighFull_legend']		= 'HD Picture URL (Full URL)';	// %IB
 $lang['img_filename_legend']		= 'Picture file name'; // %IC
+$lang['img_comment_legend']			= 'Last comments'; // %ID
 
 $lang['root_path_legend']			= 'Pïwigo path'; // %G1
Index: /extensions/piclens/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/piclens/language/es_ES/plugin.lang.php	(revision 3644)
+++ /extensions/piclens/language/es_ES/plugin.lang.php	(revision 3645)
@@ -23,5 +23,5 @@
 $lang['piclens_admin_submit']			= 'Registrar';
 $lang['piclens_admin_saveOK'] 			= 'Configuración Cooliris-Piclens Salvada';
-$lang['piclens_admin_saveERR1']			= 'Fichero crossdomain.xml ausente';
+$lang['piclens_admin_saveERR1']			= 'Fcrossdomain.xml ausente';
 $lang['piclens_admin_saveERR2']			= 'Error de copia del fichero';
 $lang['piclens_admin_saveERR3']			= 'Fichero crossdomain.xml ya existente';
@@ -200,4 +200,5 @@
 $lang['img_URLHighFull_legend']		= 'URL de la imagen en alta definición (path traje)';	// %IB
 $lang['img_filename_legend']		= 'Nombre del fichero llena de imágenes'; // %IC
+$lang['img_comment_legend']			= 'Últimos comentarios'; // %ID
 
 $lang['root_path_legend']			= 'Path de piwigo'; // %G1
@@ -212,3 +213,5 @@
 $lang['piclens_tags_label']		= 'Tags';
 $lang['piclens_rsscfg_exclude_double']	= 'Supresión de los doblones de imagen en el flujo (el mismo repertorio de acceso)';
+
+
 ?>
Index: /extensions/piclens/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/piclens/language/fr_FR/plugin.lang.php	(revision 3644)
+++ /extensions/piclens/language/fr_FR/plugin.lang.php	(revision 3645)
@@ -2,11 +2,7 @@
 /*
  * Plugin Name: CoolIris-Piclens
- * Version: 0.3.4
- * Description: Cooliris/Piclens activation
- * Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=234
- * Author: Tiico
- * Author URI: 
- * */
-/********* Fichier FR plugin.lang.php  *********/
+ * File :  plugin.lang.php
+* Lang : FR 
+ */
 
 // Piclenslite button
@@ -200,4 +196,5 @@
 $lang['img_URLHighFull_legend']		= 'URL de l\'image en haute d&eacute;finition (path complet)';	// %IB
 $lang['img_filename_legend']		= 'Nom du fichier image'; // %IC
+$lang['img_comment_legend']			= 'Derniers commentaires'; // %ID
 
 $lang['root_path_legend']			= 'Path de piwigo'; // %G1
Index: /extensions/piclens/language/zh_CN/plugin.lang.php
===================================================================
--- /extensions/piclens/language/zh_CN/plugin.lang.php	(revision 3644)
+++ /extensions/piclens/language/zh_CN/plugin.lang.php	(revision 3645)
@@ -2,12 +2,9 @@
 /*
  * Plugin Name: CoolIris-Piclens
- * Version: 0.3.4
- * Description: Cooliris/Piclens activation
- * Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=234
- * Author: Tiico
- * Author URI: 
- * */
-/********* Fichier EN plugin.lang.php  *********/
-// Piclenslite button
+ * File :  generate_rss.php  
+* Lang : ZH 
+ */
+
+ // Piclenslite button
 $lang['piclens_button']	 				= '查看幻灯片';
 
@@ -154,62 +151,61 @@
 $lang['piclens_stuff_param_commun']		= '<b>或许可是Cooliris PicLens 和 PWG-Stuff 的公共参数</b>';
 
-/* TO DO : translation : */
-$lang['piclens_wallcfg_nbligne']        = 'Number of row display on the wall ';
-
-$lang['piclens_3dwallconfig2_tab'] 		= 'Advanced 3DWall configuration';
-$lang['piclens_wallcfgadv_title']       = 'Piclens : Advanced Configuration of Cooliris 3D Wall';
-$lang['piclens_wallcfg_colorD']         = 'Dark';
-$lang['piclens_wallcfg_colorL']         = 'Light';
-$lang['piclens_wallcfg_showChrome']    = 'Shows the bottom toolbar background';
-$lang['piclens_wallcfg_showDescription']    = 'Show the item description overlay';
-$lang['piclens_wallcfg_showReflections']    = 'Show the reflections under the images';
-$lang['piclens_wallcfg_showTutorial']    = 'Show a tutorial message';
-$lang['piclens_wallcfg_showNavArrows']    = 'Shows the navigation arrows';
-$lang['piclens_wallcfg_backgroundAlpha']    = 'Background transparency [0.0-1.0]';
-$lang['piclens_wallcfg_descriptionHeight']    = 'Height of the name and description overlay [0-100]';
-$lang['piclens_wallcfg_tilt']    = 'Amount of wall tilt [0-5]';
-$lang['piclens_wallcfg_backgroundColor']    = 'Color for the background';
-$lang['piclens_wallcfg_glowColor']    = 'Color of the glow around the selected picture';
-$lang['piclens_wallcfg_backgroundImage']    = 'URL of background image for the wall';
-$lang['piclens_wallcfg_tutorial']    = 'URL to tutorial image';
-$lang['piclens_wallcfg_tutorialtime']    = 'Tutorial delay';
-$lang['piclens_wallcfg_customButtonURL']    = 'URL for custom button in the lower right corner of the toolbar';
-$lang['piclens_wallcfg_customButtonTARGET']    = 'Target for custom button';
-$lang['piclens_wallcfg_icons']    = 'Directory of PNG images for custom toolbar icons';
-$lang['piclens_wallcfg_linkCSS']    = 'CSS string to be applied to descriptions';
-
-$lang['piclens_xml_config'] = 'Name and descriptions Configuration';
-$lang['piclens_xml_legend']	= 'Parameters for name and description';
+$lang['piclens_wallcfg_nbligne']        = '在图片墙上每行显示的个数 ';
+
+$lang['piclens_3dwallconfig2_tab'] 		= '3DWall 的高级配置';
+$lang['piclens_wallcfgadv_title']       = 'Piclens : Cooliris 3D Wall的高级配置';
+$lang['piclens_wallcfg_colorD']         = '暗';
+$lang['piclens_wallcfg_colorL']         = '亮';
+$lang['piclens_wallcfg_showChrome']    = '显示下方工具条背景';
+$lang['piclens_wallcfg_showDescription']    = '在覆盖层上显示项目说明';
+$lang['piclens_wallcfg_showReflections']    = '在图片下面显示倒影';
+$lang['piclens_wallcfg_showTutorial']    = '显示指南信息';
+$lang['piclens_wallcfg_showNavArrows']    = '显示导航箭头';
+$lang['piclens_wallcfg_backgroundAlpha']    = '背景透明 [0.0-1.0]';
+$lang['piclens_wallcfg_descriptionHeight']    = '高度的名称和说明覆盖层 [0-100]';
+$lang['piclens_wallcfg_tilt']    = '图片墙的倾斜度 [0-5]';
+$lang['piclens_wallcfg_backgroundColor']    = '背景颜色';
+$lang['piclens_wallcfg_glowColor']    = '围绕所选图片光亮的颜色';
+$lang['piclens_wallcfg_backgroundImage']    = '图片墙背景图片的 URL';
+$lang['piclens_wallcfg_tutorial']    = '指南图片的 URL';
+$lang['piclens_wallcfg_tutorialtime']    = '指南出现延迟';
+$lang['piclens_wallcfg_customButtonURL']    = '工具条右下角自定义按钮的 URL';
+$lang['piclens_wallcfg_customButtonTARGET']    = '自定义按钮的目标';
+$lang['piclens_wallcfg_icons']    = '自定义工具条图标的PNG图片文件夹';
+$lang['piclens_wallcfg_linkCSS']    = 'CSS字符串的说明';
+
+$lang['piclens_xml_config'] = '名称和说明配置';
+$lang['piclens_xml_legend']	= '名称和说明的参数';
 
 //legende
-$lang['piclens_picture_legend']	    = 'Picture';
-$lang['piclens_cat_legend']		    = 'Category';
-$lang['piclens_global_legend']		= 'Global';
-$lang['img_id_legend']				= 'Picture ID';	// %I1
-$lang['img_name_legend']			= 'Picture Name';	// %I2
-$lang['img_description_legend']		= 'Picture Description'; // %I3
-$lang['img_author_legend']			= 'Picture Author';	// %I4
-$lang['img_URLThumb_legend']		= 'Thumbnail URL (URL From gallerie)'; // %I5
-$lang['img_URLNormal_legend']		= 'Piture URL (URL From gallerie)';	// %I6
-$lang['img_URLHigh_legend']			= 'HD Picture URL (URL From gallerie)';	// %I7
-$lang['img_URLPicturephp_legend']	= 'Link to picture page (picture.php)';	//%I8
-$lang['img_URLThumbFull_legend']	= 'Thumbnail URL (full URL)'; // %I9
-$lang['img_URLNormalFull_legend']	= 'Piture URL (Full URL)';	// %IA
-$lang['img_URLHighFull_legend']		= 'HD Picture URL (Full URL)';	// %IB
-$lang['img_filename_legend']		= 'Picture file name'; // %IC
-
-$lang['root_path_legend']			= 'Pïwigo path'; // %G1
-
-$lang['cat_id_legend']				= 'Category ID'; // %C1
-$lang['cat_name_legend']			= 'Category name'; // %C2
-$lang['cat_description_legend']		= 'Category description'; // %C3
-$lang['cat_dir_legend']				= 'Path to category (path from Gallerie)'; // %C4
-$lang['cat_dirFull_legend']			= 'Path to category (Full path)'; // %C4
+$lang['piclens_picture_legend']	    = '相片';
+$lang['piclens_cat_legend']		    = '类别';
+$lang['piclens_global_legend']		= '全局';
+$lang['img_id_legend']				= '相片 ID';	// %I1
+$lang['img_name_legend']			= '相片名称';	// %I2
+$lang['img_description_legend']		= '相片说明'; // %I3
+$lang['img_author_legend']			= '相片作者';	// %I4
+$lang['img_URLThumb_legend']		= '缩略图 URL (来自相册的 URL)'; // %I5
+$lang['img_URLNormal_legend']		= '相片 URL (来自相册的 URL)';	// %I6
+$lang['img_URLHigh_legend']			= '高清相片 URL (来自相册的 URL)';	// %I7
+$lang['img_URLPicturephp_legend']	= '相片页面的链接 (picture.php)';	//%I8
+$lang['img_URLThumbFull_legend']	= '缩略图 URL (完整的 URL)'; // %I9
+$lang['img_URLNormalFull_legend']	= '相片 URL (完整的 URL)';	// %IA
+$lang['img_URLHighFull_legend']		= '高清相片 URL (完整的 URL)';	// %IB
+$lang['img_filename_legend']		= '相片文件名'; // %IC
+$lang['img_comment_legend']			= '最新评论'; // %ID
+
+$lang['root_path_legend']			= 'Piwigo 路径'; // %G1
+
+$lang['cat_id_legend']				= '类别 ID'; // %C1
+$lang['cat_name_legend']			= '类别名称'; // %C2
+$lang['cat_description_legend']		= '类别说明'; // %C3
+$lang['cat_dir_legend']				= '类别路径 (来自相册的 URL)'; // %C4
+$lang['cat_dirFull_legend']			= '类别路径 (完整的路径)'; // %C4
 // Fin legende
 
-$lang['piclens_tags_label']		= 'Tags';
-$lang['piclens_rsscfg_exclude_double']	= 'Suppress double picture in the feed (same path)';
-
-/* END TO DO*/
+$lang['piclens_tags_label']		= '标签';
+$lang['piclens_rsscfg_exclude_double']	= '在RSS订阅里禁止重复图片 (相同的路径)';
+
 
 ?>
Index: /extensions/piclens/main.inc.php
===================================================================
--- /extensions/piclens/main.inc.php	(revision 3644)
+++ /extensions/piclens/main.inc.php	(revision 3645)
@@ -8,74 +8,7 @@
  * Author URI: 
  * */
-/********* Fichier main.inc.php  ********* /
- /* 0.2.0 --> version for PIWIGO 2.0.0    */
- /* 0.2.1 --> bug generation flux RSS  */
- /*		icone piclens lite ameliore   */
- /* 0.2.2 --> Bug sur les pages autres que "categories"  */
- /*		bug caractere speciaux dans flux xml genere   */
- /* 0.2.3 --> gestion des level (niveaux de confidentialité) sur les images  */
- /* 0.2.4 --> Ajout informations dans flux RSS (version...) et icone de la gallerie */
- /*		Paramétrage du nom et description à afficher sous l'image piclens   */
- /*		Ajout 3DWall de cooliris   */
- /* 0.2.5 --> désacrivation de 3DWall (si présence de  PWG Stuff) */
- /* 		Nettoyage code + correction notice page admin*/
- /*		Ajout support video "vimeo" (plugin PY Gvideo)   */
- /*		Ajout support video "flv" (plugin Charlies)   */
- /* 0.2.6 --> Nettoyage et restructuration du code + modification page admin */
- /*		  paramétrage choix couleur fond sur mur 3D */
- /*		  paramétrage prise en compte fichiers video  */
- /* 0.2.7 --> Correction ouverture fichier videos GY Video */
- /* 0.3.0beta --> ajout parametrage pour mur 3D dont selection categories */
- /* 0.3.0beta2 --> correction requete SQL de selection des images */
- /*		  	correction notice sur le 'root_path' */
- /* 0.3.0beta3 --> ajout affichage aleatoire et categorie dans le flux  */
- /*		  	Modification template piclenswall : mode transparent */
- /*		  	Affichage des categories (parametrable) dans le titre de l'image sous piclens */
- /*		  	Modification et correction configuration du tri par defaut Piwigo ( order_by_inside_category) */
- /*		  	Ajout parametrage icones sur le mur 3D */
- /*		  	Quelques Corrections integration SecureImage */
- /* 0.3.0beta4 --> support multi-langue  (FR et EN)*/
- /*		  	Optimisation requetes SQL */
- /*		  	regroupement fichiers de generation flux rss (piclens-rss et piclenswall-rss) dans le fichier generate_rss */
- /*		  	Ajout parametrage et remplacement de la navigation par le mur 3D et titre mur 3D*/
- /* 0.3.0beta5 --> Correction ; manquant dans default_values (oups!)*/
- /* 0.3.0beta6 --> Ajout parametre de tri/ordre selon le flux genere : accueil ou categorie*/
- /*		  	Correction Lien entre tri et ordre si parametre = defaut PIWIGO*/ 
- /*		  	Integration extended description (prise en compte hidden [categories et images] et description multilangue)*/
- /*		  	Quelques corrections dans le flux xml genere (W3C feed validation)*/
- /* 0.3.0beta7 --> Correction requete sql sur categorie*/
- /*		  	Correction page admin (sauvegarde des parametres ordre et tri)*/
- /* 0.3.0beta8 --> Activation piclens et mur sur pages speciales*/
- /*		  	Parametre de recursivite (standard et specifique)*/
- /*		  	Corrections et optimisation code*/
- /* 0.3.0 --> Publication version finale*/
- /* 0.3.1 --> Correction "notice" (warning) sur variable piclnkmaster*/
- /*		 Ajout paramètre pour le mode transparent (a prendre en compte dans PWG Stuff)*/
- /* 0.3.2 --> Correction "notice" (warning) sur variable piclens_wall_transparent*/
- /* 0.3.3 --> Correction lien URL vers les images depuis piclens (arrivee directe sur la categorie)*/
- /*  		Modification de l'affichage de la selection des extensions prises en compte*/
- /*  		Page d'admin : intégration de jquery resizable pour redimensionner la selection des categories */
- /*  		Sauvegarde des parametres en bases de données */
- /*  		[MAJEUR] Correction de "l'emballement des hit images" sur l'accueil si modules "plus vues"... sont actives dans PWG_Stuff*/
- /*  		Ajout patch pour lien en https */
- /*  		Ajout parametre et utilisation du flash cooliris.swf en local (evite de copier crossdomain.xml). */
- /* 0.3.4 --> [MAJEUR] Correction de "l'emballement des hit images" lie a la selection des images depuis les categories speciales*/
- /*  		Correction patch pour lien en https */
- /*  		Ajout fonction sauvegarde et restauration des fichier de configuration (utile pour la migration) */
- /*  		Ajout traduction chinoise (thanks Winson) */
- /* 0.3.5 --> Ajout integration balises Extended Description dans le nom des categories */
- /*  		Correction dans la traduction chinoise simplifiée */
- /*  		Correction page admin : titre mur 3D non sauvegarde*/
- /* 0.3.6 --> Ajout parametres supplementaires du mur embeded  */
- /* 0.4.0 --> Changement methode pour parametrer les noms et decriptions des images */
- /* 		 Ajout integration piclens sur les tags */
- /* 		 Ajout paramètre pour supprimer les doublons d'image dans le flux rss */
- /* 		 Ajout traduction ES (merci ddtddt) */
- 
+/********* Fichier main.inc.php  *********/
 
-/********* TODO  *********/
-//- possibilite d'afficher les derniers commentaires des images dans piclens
-//- intégrer la selection double des categories
-
+/* See CHANGELOG for release informations */
 
  
Index: /extensions/piclens/maintain.inc.php
===================================================================
--- /extensions/piclens/maintain.inc.php	(revision 3645)
+++ /extensions/piclens/maintain.inc.php	(revision 3645)
@@ -0,0 +1,92 @@
+<?php
+/*
+ * Plugin Name: CoolIris-Piclens
+ * File :  maintain.inc.php  
+ */
+
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+
+function plugin_install()
+{
+}
+
+function plugin_activate()
+{
+
+
+  // Check if upgrade is needed
+	$query = '
+	  SELECT value
+	  FROM '.CONFIG_TABLE.'
+	  WHERE param = \''.basename(dirname(__FILE__)).'\'
+	;';
+	$result = pwg_query($query);
+
+	if($result) 
+	{
+		 $row = mysql_fetch_row($result);
+		 if(is_string($row[0])) 
+		 {
+			$row = unserialize($row[0]);
+			if (!isset($row['piclens_rss_name']))	// name and desc format changed from 0.3.x --> 0.4.x 
+				upgrade_piclens_from_03x($row);			
+		 }
+	}
+
+}
+
+function plugin_uninstall()
+{
+}
+
+function upgrade_piclens_from_03x($row)
+{
+	$piclens_rss_name = '';
+	$piclens_rss_desc = '';
+
+	if (isset($row['piclens_name_image']) and $row['piclens_name_image'] != 4)	// old name format
+	{
+		if ($row['piclens_cat_view'])		// View cat active
+			$piclens_rss_name .= "%C2 - ";
+		switch($row['piclens_name_image'])
+		{
+			case 2 : $piclens_rss_name .= "%IC";
+				break;
+			case 3 : $piclens_rss_name .= "%I2";
+				break;
+			default : $piclens_rss_name .= "%IC";
+				break;
+		}
+		
+	}
+	if (isset($row['piclens_name_desc']))	// old description format
+	{
+		switch($row['piclens_name_desc'])
+		{
+			case 2 : $piclens_rss_desc .= "%C2";
+				break;
+			case 3 : $piclens_rss_desc .= "%C3";
+				break;
+			default :
+				break;
+		}
+	}
+	// New format for name and desc in database
+	$row['piclens_rss_name'] = $piclens_rss_name;
+	$row['piclens_rss_desc'] = $piclens_rss_desc;
+	
+	$query = '
+	  REPLACE INTO '.CONFIG_TABLE.'
+	  VALUES(
+		\''.basename(dirname(__FILE__)).'\',
+		\''.serialize($row).'\',
+		\'Configuration de Piclens\')
+	;';
+
+	pwg_query($query);
+
+}
+
+
+?>
Index: /extensions/piclens/piclens-rss.php
===================================================================
--- /extensions/piclens/piclens-rss.php	(revision 3644)
+++ /extensions/piclens/piclens-rss.php	(revision 3645)
@@ -2,11 +2,6 @@
 /*
  * Plugin Name: CoolIris-Piclens
- * Version: 0.3.4
- * Description: Cooliris/Piclens activation
- * Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=234
- * Author: Tiico
- * Author URI: 
- * */
-/********* Fichier piclens-rss.php  *********/
+ * File :  piclens-rss.php  
+ */
 
 define('PHPWG_ROOT_PATH','../../');
Index: /extensions/piclens/piclenswall-rss.php
===================================================================
--- /extensions/piclens/piclenswall-rss.php	(revision 3644)
+++ /extensions/piclens/piclenswall-rss.php	(revision 3645)
@@ -2,11 +2,6 @@
 /*
  * Plugin Name: CoolIris-Piclens
- * Version: 0.3.4
- * Description: Cooliris/Piclens activation
- * Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=234
- * Author: Tiico
- * Author URI: 
- * */
-/********* Fichier piclenswall-rss.php  *********/
+ * File :  piclenswall-rss.php  
+ */
   
 define('PHPWG_ROOT_PATH','../../');
Index: /extensions/piclens/piclenswall.php
===================================================================
--- /extensions/piclens/piclenswall.php	(revision 3644)
+++ /extensions/piclens/piclenswall.php	(revision 3645)
@@ -2,11 +2,6 @@
 /*
  * Plugin Name: CoolIris-Piclens
- * Version: 0.3.4
- * Description: Cooliris/Piclens activation
- * Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=234
- * Author: Tiico
- * Author URI: 
- * */
-/********* Fichier piclenswall.php  *********/
+ * File :  piclenswall.php  
+ */
 
 
Index: /extensions/piclens/swf/index.php
===================================================================
--- /extensions/piclens/swf/index.php	(revision 3645)
+++ /extensions/piclens/swf/index.php	(revision 3645)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
